Storyden
Replies

Reply Get

Read a single reply from a thread, independently of reply pagination. The thread must be visible to the requesting member. Published replies are visible to anyone who can read the thread; in-review replies are also visible to their author, and members with MANAGE_POSTS may read replies of any visibility. Deleted replies and deleted threads are unavailable. The reply must belong to the specified thread.

GET
/threads/{thread_mark}/replies/{post_id}

Read a single reply from a thread, independently of reply pagination. The thread must be visible to the requesting member. Published replies are visible to anyone who can read the thread; in-review replies are also visible to their author, and members with MANAGE_POSTS may read replies of any visibility. Deleted replies and deleted threads are unavailable. The reply must belong to the specified thread.

Authorization

cookiestoryden-session<token>

Path Parameters

thread_mark*string

Thread unique and permanent identifier.

Formatxid-prefixed-kebab-case-string
post_id*string

Unique post ID.

Formatxid

Response Body

The requested reply.

application/json
  1. response

A new post within a thread of posts. A post may reply to another post in the thread by specifying the reply_to property. The identifier in the reply_to value must be post within the same thread.

id*Identifier

A unique identifier for this resource.

Formatxid
createdAt*string

The time the resource was created.

Formatdate-time
updatedAt*string

The time the resource was updated.

Formatdate-time
deletedAt?string

The time the resource was soft-deleted.

Formatdate-time
misc?

Arbitrary extra data stored with the resource.

title*ThreadTitle

The title of a thread.

description?PostDescription

A short version of the post's body text for use in previews.

slug*ThreadMark

A thread's ID and optional slug separated by a dash = it's unique mark. This allows endpoints to respond to varying forms of a thread's ID.

For example, given a thread with the ID cc5lnd2s1s4652adtu50 and the slug top-10-movies-thread, Storyden will understand both the forms: cc5lnd2s1s4652adtu50-top-10-movies-thread and cc5lnd2s1s4652adtu50 as the identifier for that thread.

Formatxid-prefixed-kebab-case-string
author*

A minimal reference to an account.

visibility*Visibility
Value in"draft""unlisted""review""published"
assets*array<>
reacts*array<>

A list of reactions this post has had from people.

collections*
likes*
meta?

Arbitrary metadata for the resource.

body*PostContent

Rich HTML content.

Storyden owns the HTML id attribute in this content. Client-supplied id attributes are ignored and removed during sanitisation.

For block-aware resources such as threads, replies, library nodes, and node versions, successful create and update operations assign stable server-owned block IDs to addressable block elements using the sdb_ prefix, for example <p id="sdb_d46b4s1fs0s8b8j6k2g0">. On updates, Storyden preserves existing sdb_ block IDs where the corresponding block can be matched across edits, so links and references to specific blocks can remain stable as content moves.

Read operations do not assign missing block IDs. Content created before block IDs were assigned, or content where a particular block has no server-owned ID yet, may be returned without block IDs until that resource is next written.

body_links*array<>
root_id*Identifier

A unique identifier for this resource.

Formatxid
root_slug*ThreadMark

A thread's ID and optional slug separated by a dash = it's unique mark. This allows endpoints to respond to varying forms of a thread's ID.

For example, given a thread with the ID cc5lnd2s1s4652adtu50 and the slug top-10-movies-thread, Storyden will understand both the forms: cc5lnd2s1s4652adtu50-top-10-movies-thread and cc5lnd2s1s4652adtu50 as the identifier for that thread.

Formatxid-prefixed-kebab-case-string
reply_to?

A new post within a thread of posts. A post may reply to another post in the thread by specifying the reply_to property. The identifier in the reply_to value must be post within the same thread.

Example Request
curl -X GET 'https://example.com/api/threads/string/replies/string'
Example Response
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "title": "string",  "description": "string",  "slug": "string",  "author": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  },  "visibility": "draft",  "assets": [    {      "id": "string",      "filename": "string",      "path": "string",      "mime_type": "string",      "width": 0,      "height": 0,      "parent": {}    }  ],  "reacts": [    {      "id": "string",      "emoji": "string",      "author": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      }    }  ],  "collections": {    "in_collections": 0,    "has_collected": true  },  "likes": {    "likes": 0,    "liked": true  },  "meta": {},  "body": "string",  "body_links": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "url": "string",      "slug": "string",      "domain": "string",      "title": "string",      "description": "string",      "favicon_image": {        "id": "string",        "filename": "string",        "path": "string",        "mime_type": "string",        "width": 0,        "height": 0,        "parent": {}      },      "primary_image": {        "id": "string",        "filename": "string",        "path": "string",        "mime_type": "string",        "width": 0,        "height": 0,        "parent": {}      }    }  ],  "root_id": "string",  "root_slug": "string",  "reply_to": {}}